package com.ho.business.mapper;

import com.ho.business.entity.StationRemoteControl;
import com.ho.business.vo.req.StationRemoteControlPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StationRemoteControlMapper {
    void insert(@Param("entity") StationRemoteControl entity);

    void update(@Param("entity") StationRemoteControl entity);

    void delete(@Param("id") Integer id);

    StationRemoteControl search(@Param("stationId") Integer stationId);

    List<StationRemoteControl> selectList(@Param("vo") StationRemoteControlPageVo vo);
}
